<?php
/**
 * @author		isApp.it Team
 * @copyright	Copyright (C) 2011 isApp.it. All rights reserved.
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @link		http://www.isapp.it
 */
 
// no direct access
defined('_JEXEC') or die;

$alert_once = $params->get('alert_once', 0);

if ($alert_once && !isset($_COOKIE["jpayday_alert"]) || !$alert_once) {
	// Include the syndicate functions only once
	require_once dirname(__FILE__).'/helper.php';
	
	$doc = JFactory::getDocument();
	$doc->addScript('modules/mod_jpayday/js/advertisement.js');
	
	if (mod_jpaydayHelper::checkJQuery()) {
		$doc->addScript('modules/mod_jpayday/js/jquery.min.js');
		$doc->addScript('modules/mod_jpayday/js/jquery-noconflict.js');
	}
	
	switch ($params->get('plugin_type', 'avgrund')) {
		case 'noty':
			$doc->addStyleSheet( 'modules/mod_jpayday/css/noty.css' );
			$doc->addScript('modules/mod_jpayday/js/noty/jquery.noty.js');
			$doc->addScript('modules/mod_jpayday/js/noty/layouts/'.$params->get('noty_position', 'top').'.js');
			$doc->addScript('modules/mod_jpayday/js/noty/themes/default.js');
			break;
		default:
			$doc->addStyleSheet( 'modules/mod_jpayday/css/avgrund.css' );
			$doc->addScript('modules/mod_jpayday/js/jquery.avgrund.min.js');
			break;
	}
	
	if ($params->get('alert_once', 0)) {
		$doc->addScript('modules/mod_jpayday/js/jquery.cookie.js');
	}
	
	require JModuleHelper::getLayoutPath('mod_jpayday', $params->get('layout', 'default'));
}
